org.richfaces.component

## Enum UINotifyMessages.Properties

- java.lang.Object
- - java.lang.Enum<UINotifyMessages.Properties>
  - - org.richfaces.component.UINotifyMessages.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UINotifyMessages.Properties>
  Enclosing class:
    UINotifyMessages

      protected static enum UINotifyMessages.Properties
      extends Enum<UINotifyMessages.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ajaxRendered`
    `dir`
    `disabled`
    `escape`
    `keepTransient`
    `lang`
    `nonblocking`
    `nonblockingOpacity`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `showCloseButton`
    `showShadow`
    `stack`
    `stayTime`
    `sticky`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UINotifyMessages.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UINotifyMessages.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ajaxRendered

          public static final UINotifyMessages.Properties ajaxRendered

    - #### dir

          public static final UINotifyMessages.Properties dir

    - #### disabled

          public static final UINotifyMessages.Properties disabled

    - #### escape

          public static final UINotifyMessages.Properties escape

    - #### keepTransient

          public static final UINotifyMessages.Properties keepTransient

    - #### lang

          public static final UINotifyMessages.Properties lang

    - #### nonblocking

          public static final UINotifyMessages.Properties nonblocking

    - #### nonblockingOpacity

          public static final UINotifyMessages.Properties nonblockingOpacity

    - #### onclick

          public static final UINotifyMessages.Properties onclick

    - #### ondblclick

          public static final UINotifyMessages.Properties ondblclick

    - #### onkeydown

          public static final UINotifyMessages.Properties onkeydown

    - #### onkeypress

          public static final UINotifyMessages.Properties onkeypress

    - #### onkeyup

          public static final UINotifyMessages.Properties onkeyup

    - #### onmousedown

          public static final UINotifyMessages.Properties onmousedown

    - #### onmousemove

          public static final UINotifyMessages.Properties onmousemove

    - #### onmouseout

          public static final UINotifyMessages.Properties onmouseout

    - #### onmouseover

          public static final UINotifyMessages.Properties onmouseover

    - #### onmouseup

          public static final UINotifyMessages.Properties onmouseup

    - #### showCloseButton

          public static final UINotifyMessages.Properties showCloseButton

    - #### showShadow

          public static final UINotifyMessages.Properties showShadow

    - #### stack

          public static final UINotifyMessages.Properties stack

    - #### stayTime

          public static final UINotifyMessages.Properties stayTime

    - #### sticky

          public static final UINotifyMessages.Properties sticky

    - #### style

          public static final UINotifyMessages.Properties style

    - #### styleClass

          public static final UINotifyMessages.Properties styleClass

    - #### title

          public static final UINotifyMessages.Properties title

  - ### Method Detail

    - #### values

          public static UINotifyMessages.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UINotifyMessages.Properties c : UINotifyMessages.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UINotifyMessages.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.